gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallInvocationDetails(TRequest, TResponse) Structure
CallInvocationDetails(TRequest, TResponse) Constructor
CallInvocationDetails(TRequest, TResponse) Properties
CallInvocationDetails(TRequest, TResponse) Methods

CallInvocationDetails TRequest, TResponse Structure

Details about a client-side call to be invoked.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public struct CallInvocationDetails<TRequest, TResponse>

    Public Structure CallInvocationDetails(Of TRequest, TResponse)

    generic<typename TRequest, typename TResponse>
    public value class CallInvocationDetails

    [<SealedAttribute>]
    type CallInvocationDetails<'TRequest, 'TResponse> =  struct end

#### Type Parameters

TRequest
  Request message type for the call.
TResponse
  Response message type for the call.

The CallInvocationDetails
TRequest, TResponse
type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| CallInvocationDetails TRequest, TResponse (Channel, Method TRequest, TResponse , CallOptions) | Initializes a new instance of the CallInvocationDetails TRequest, TResponse struct.
| CallInvocationDetails TRequest, TResponse (Channel, Method TRequest, TResponse , String, CallOptions) | Initializes a new instance of the CallInvocationDetails TRequest, TResponse struct.
| CallInvocationDetails TRequest, TResponse (Channel, String, String, Marshaller TRequest , Marshaller TResponse , CallOptions) | Initializes a new instance of the CallInvocationDetails TRequest, TResponse struct.

Top
Properties

| Name | Description
--- | --- | ---
| Channel | Get channel associated with this call.
| Host | Get name of host.
| Method | Gets name of method to be called.
| Options | Gets the call options.
| RequestMarshaller | Gets marshaller used to serialize requests.
| ResponseMarshaller | Gets marshaller used to deserialized responses.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
| GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)
| WithOptions | Returns new instance of CallInvocationDetails TRequest, TResponse with Options set to the value provided. Values of all other fields are preserved.

Top
See Also

#### Reference

Grpc.Core Namespace